## com.lowagie.text.xml.xmp
Class PdfSchema

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  com.lowagie.text.xml.xmp.XmpSchema
                      com.lowagie.text.xml.xmp.PdfSchema

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class PdfSchema
extends XmpSchema

An implementation of an XmpSchema.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Hashtable
``

Field Summary
`static String` `DEFAULT_XPATH_ID` default namespace identifier
`static String` `DEFAULT_XPATH_URI` default namespace uri
`static String` `KEYWORDS` Keywords.
`static String` `PRODUCER` The Producer.
`static String` `VERSION` The PDF file version (for example: 1.0, 1.3, and so on).

Fields inherited from class com.lowagie.text.xml.xmp.XmpSchema
`xmlns`

Fields inherited from class java.util.Properties
`defaults`

Fields inherited from class java.util.Hashtable
``

Constructor Summary
`PdfSchema()`

Method Summary
`void` `addKeywords(String keywords)` Adds keywords.
`void` `addProducer(String producer)` Adds the producer.
`void` `addVersion(String version)` Adds the version.

Methods inherited from class com.lowagie.text.xml.xmp.XmpSchema
`addProperty, escape, getXmlns, process, setProperty, setProperty, toString`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_XPATH_ID

    public static final String DEFAULT_XPATH_ID

  default namespace identifier

  See Also:
    Constant Field Values

### DEFAULT_XPATH_URI

    public static final String DEFAULT_XPATH_URI

  default namespace uri

  See Also:
    Constant Field Values

### KEYWORDS

    public static final String KEYWORDS

  Keywords.

  See Also:
    Constant Field Values

### VERSION

    public static final String VERSION

  The PDF file version (for example: 1.0, 1.3, and so on).

  See Also:
    Constant Field Values

### PRODUCER

    public static final String PRODUCER

  The Producer.

  See Also:
    Constant Field Values

Constructor Detail

### PdfSchema

    public PdfSchema()
              throws IOException

Throws:
  `IOException`

Method Detail

### addKeywords

    public void addKeywords(String keywords)

  Adds keywords.

  Parameters:
    `keywords` -

### addProducer

    public void addProducer(String producer)

  Adds the producer.

  Parameters:
    `producer` -

### addVersion

    public void addVersion(String version)

  Adds the version.

  Parameters:
    `version` -